(******************************************************************************
 * ACWin95Path                                                                *
 ******************************************************************************)
unit ACWin95Path;

(******************************************************************************
 * interface                                                                  *
 ******************************************************************************)
 interface
(******************************************************************************
 * Uses                                                                       *
 ******************************************************************************)
uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs;

(******************************************************************************
 * TACWin95Path                                                               *
 ******************************************************************************)
type
  TACWin95Path = class(Tcomponent)
  private
    { Private declarations }
  protected
    { Protected declarations }
    FAppData : String;
    FCache : String;
    FCookies : String;
    FDeskTop : String;
    FFavorites : String;
    FFonts : String;
    FHistory : String;
    FNetHood : String;
    FPersonal : String;
    FPrintHood : String;
    FPrograms : String;
    FRecent : String;
    FSendTo : String;
    FStartMenu : String;
    FStartUp : String;
    FTemplates : String;
    Procedure SetNull(T : String);
  public
    { Public declarations }
    constructor Create(AOwner: TComponent); override;

  published
    { Published declarations }
    Property AppData   : String Read FAppData Write SetNull;
    Property Cache     : String Read FCache Write SetNull;
    Property Cookies   : String Read FCookies Write SetNull;
    Property DeskTop   : String Read FDeskTop Write SetNull;
    Property Favorites : String Read FFavorites Write SetNull;
    Property Fonts     : String Read FFonts Write SetNull;
    Property History   : String Read FHistory Write SetNull;
    Property NetHood   : String Read FNetHood Write SetNull;
    Property Personal  : String Read FPersonal Write SetNull;
    Property PrintHood : String Read FPrintHood Write SetNull;
    Property Programs  : String Read FPrograms Write SetNull;
    Property Recent    : String Read FRecent Write SetNull;
    Property SendTo    : String Read FSendTo Write SetNull;
    Property StartMenu : String Read FStartMenu Write SetNull;
    Property StartUp   : String Read FStartUp Write SetNull;
    Property Templates : String Read FTemplates Write SetNull;


  end;

(******************************************************************************
 * implementation                                                             *
 ******************************************************************************)
implementation


(******************************************************************************
 * Uses                                                                       *
 ******************************************************************************)
Uses AcRegistry;

(******************************************************************************
 * Create                                                                     *
 ******************************************************************************)
constructor TACWin95Path.Create(AOwner: TComponent);
Var Trg : TACRegistryString;
Begin
  Inherited;
  TRg := TACRegistryString.Create(Self);
  Trg.Root := HKEY_CURRENT_USER;
  Trg.KeyName := '\Software\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders';
  Trg.ValueName := 'AppData';
  FAppData := Trg.StrValue;
  Trg.ValueName := 'Cache';
  FCache := Trg.StrValue;
  Trg.ValueName := 'Cookies';
  FCookies := Trg.StrValue;
  Trg.ValueName := 'DeskTop';
  FDeskTop := Trg.StrValue;
  Trg.ValueName := 'Favorites';
  FFavorites := Trg.StrValue;
  Trg.ValueName := 'Fonts';
  FFonts := Trg.StrValue;
  Trg.ValueName := 'History';
  FHistory := Trg.StrValue;
  Trg.ValueName := 'NetHood';
  FNetHood := Trg.StrValue;
  Trg.ValueName := 'Personal';
  FPersonal := Trg.StrValue;
  Trg.ValueName := 'PrintHood';
  FPrintHood := Trg.StrValue;
  Trg.ValueName := 'Programs';
  FPrograms := Trg.StrValue;
  Trg.ValueName := 'Recent';
  FRecent := Trg.StrValue;
  Trg.ValueName := 'SendTo';
  FSendTo := Trg.StrValue;
  Trg.ValueName := 'Start Menu';
  FStartMenu := Trg.StrValue;
  Trg.ValueName := 'StartUp';
  FStartUp := Trg.StrValue;
  Trg.ValueName := 'Templates';
  FTemplates := Trg.StrValue;
  Trg.Free;
End;

(******************************************************************************
 * SetNull                                                                    *
 ******************************************************************************)
Procedure TACWin95Path.SetNull(T : String);
Begin

End;
end.
